import path from 'path';

export default class Path {

  static dir(pth) {
    return path.dirname(pth);
  }

  static add(pth, other) {
    return this.join(pth, other);
  }

  static join(pth, other) {
    return path.join(pth, other);
  }

  static ext(pth) {
    return this.extension(pth);
  }

  static extension(pth) {
    return path.extname(pth);
  }

  static fileName(pth) {
    const completeName = this.completeFileName(pth);
    return path.parse(completeName).name;
  }

  static completeFileName(pth) {
    return path.basename(pth);
  }

  static replaceExtension(pth, newExtension) {
    const extension = this.extension(pth);
    return pth.replace(`.${extension}`, `.${newExtension}`);
  }
}
